
TYPO3.Eel - Bug # 49671

Status: Resolved Priority: -- undefined --
Author: Alexander Schnitzler Category:
Created: 2013-07-04 Assigned To:
Updated: 2013-07-06 Due date:
Subject: Undefined property: TYPO3\Eel\CompilingEelParser::$tmpId
Description

I just checked out the current master of NEOS (da9d621) and I get this Exception.

The setup went fine but when I tried to access frontend or backend afterwards this error is shown:

Notice: Undefined property: TYPO3\Eel\CompilingEelParser::$tmpId in
/vagrant/src/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Eel_CompilingEelParser.php line 164
34 TYPO3\Flow\Error\ErrorHandler::handleError(8, "Undefined property: TYPO3\Eel\CompilingEelParser::$tmpId",
"/vagrant/src/Data/Temporary/Development/Cache/Code…ow_Object_Classes/TYPO3_Eel_CompilingEelParser.php", 164,
array|1|)

33
TYPO3\Eel\CompilingEelParser_Original::unwrapExpression("$context-&gt;getAndWrap('request')-&gt;getAndWrap('format')")

32 TYPO3\Eel\CompilingEelParser_Original::Comparison_rgt(array|5|, array|4|)

31 call_user_func_array(array|2|, array|2|)

30 PhpPeg\Parser::store(array|5|, array|4|, "rgt")

29 TYPO3\Eel\EelParser_Original::match_Comparison(array|4|)

28 TYPO3\Eel\EelParser_Original::match_Conjunction(array|3|)

27 TYPO3\Eel\EelParser_Original::match_Disjunction(array|2|)

26 TYPO3\Eel\EelParser_Original::match_ConditionalExpression(array|1|)

25 TYPO3\Eel\EelParser_Original::match_Expression()

24 TYPO3\Eel\CompilingEvaluator_Original::generateEvaluatorCode("request.format != 'html'")

23 TYPO3\Eel\CompilingEvaluator_Original::evaluate("request.format != 'html'", TYPO3\Eel\Context)

22 TYPO3\TypoScript\Core\Runtime_Original::evaluateProcessor("condition",
TYPO3\TypoScript\TypoScriptObjects\MatcherImplementation, array|1|)

21 TYPO3\TypoScript\TypoScriptObjects\AbstractTypoScriptObject::tsValue("condition")

20 TYPO3\TypoScript\TypoScriptObjects\MatcherImplementation_Original::evaluate()

19
TYPO3\TypoScript\Core\Runtime_Original::evaluateInternal("root&lt;TYPO3.TypoScript:Case&gt;/format&lt;TYPO3.TypoScript:Matcher&gt;", "Exception")

18 TYPO3\TypoScript\Core\Runtime_Original::render("root&lt;TYPO3.TypoScript:Case&gt;/format&lt;TYPO3.TypoScript:Matcher&gt;")

17 TYPO3\TypoScript\TypoScriptObjects\CaseImplementation_Original::evaluate()

16 TYPO3\TypoScript\Core\Runtime_Original::evaluateInternal("root", "Exception")

15 TYPO3\TypoScript\Core\Runtime_Original::render("root")

14 TYPO3\Neos\View\TypoScriptView_Original::render()

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()


:Matcher&gt;", "Exception")
18
TYPO3\TypoScript\Core\Runtime_Original::render("root&lt;TYPO3.TypoScript:Case&gt;/format&lt;TYPO3.TypoScript:Matcher&gt;")

17 TYPO3\TypoScript\TypoScriptObjects\CaseImplementation_Original::evaluate()

16 TYPO3\TypoScript\Core\Runtime_Original::evaluateInternal("root", "Exception")

15 TYPO3\TypoScript\Core\Runtime_Original::render("root")

14 TYPO3\Neos\View\TypoScriptView_Original::render()

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()


gt;")

17 TYPO3\TypoScript\TypoScriptObjects\CaseImplementation_Original::evaluate()

16 TYPO3\TypoScript\Core\Runtime_Original::evaluateInternal("root", "Exception")

15 TYPO3\TypoScript\Core\Runtime_Original::render("root")

14 TYPO3\Neos\View\TypoScriptView_Original::render()

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\Flow\Http\Response)

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

6
TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()


ts(TYPO3\Flow\Aop\JoinPoint)

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()

Associated revisions
Revision d7955490 - 2013-07-06 13:43 - Aske Ertmann

[BUGFIX] Prevent PHP error for undefined variable tmpId in CompilingEelParser

Change-Id: Ie7a5df5934629e0011b4d2679e8b41f8dab96d6f
Fixes: #49671
Reviewed-on: https://review.typo3.org/21998
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

History
#1 - 2013-07-06 13:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21998

#2 - 2013-07-06 13:54 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d79554905bd2dd1a372defdd1d1ccdd78f1cbc3b.
